package com.ym.mec.biz.dal.dto;

import com.ym.mec.common.page.PageInfo;
import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;

public class PageInfoDegree<T> extends PageInfo<T> {

    @ApiModelProperty(value = "考级费用总额", required = true)
    private BigDecimal subjectLevelAmount =BigDecimal.ZERO;

    @ApiModelProperty(value = "乐理考级总额", required = true)
    private BigDecimal theoryLevelAmount =BigDecimal.ZERO;

    @ApiModelProperty(value = "考级总金额", required = true)
    private BigDecimal totalAmount = BigDecimal.ZERO;

    public PageInfoDegree() {
    }

    public PageInfoDegree(Integer pageNo) {
        super(pageNo);
    }

    public PageInfoDegree(Integer pageNo, int pageSize) {
        super(pageNo, pageSize);
    }

    public BigDecimal getSubjectLevelAmount() {
        return subjectLevelAmount;
    }

    public void setSubjectLevelAmount(BigDecimal subjectLevelAmount) {
        this.subjectLevelAmount = subjectLevelAmount;
    }

    public BigDecimal getTheoryLevelAmount() {
        return theoryLevelAmount;
    }

    public void setTheoryLevelAmount(BigDecimal theoryLevelAmount) {
        this.theoryLevelAmount = theoryLevelAmount;
    }

    public BigDecimal getTotalAmount() {
        return totalAmount;
    }

    public void setTotalAmount(BigDecimal totalAmount) {
        this.totalAmount = totalAmount;
    }
}
